Subject: Re: bug#74456: unactionable -no-install warnings on macos during 'make check'

From: Gordon Steemson <[email-masked]>
Date: Thu, 5 Dec 2024 12:26:29 -0800

I think it is the "unactionable" part that is the problem.  OK, so there's a warning message.  What is anyone supposed to do about it?  There is no apparent source of the offending flag -- it just shows up when some packages use libtool, and there's absolutely nothing a person compiling such a package can do about it; they just have to sit through dozens or hundreds of repetitions of the exact same warning.  (I personally have sometimes had such warnings cause my logs to balloon past the file rollover point!)  Under these circumstances, the warning message is pointless, especially since the behaviour assumed instead does not seem to cause any obvious problems.

Gordon S.

> On Dec 5, 2024, at 9:56 AM, Ileana Dumitrescu <[email-masked]> wrote:
> 
> On 21/11/2024 10:18, Simon Josefsson via bug-libtool via Bug reports for the GNU libtool shared library maintenance tool wrote:
>> Hi
>> Gordon noticed that 'make check' in libidn prints warnings on macOS,
>> which are coming from libtool:
>> libtool: warning: '-no-install' is ignored for aarch64-apple-darwin23.6.0
>> libtool: warning: assuming '-no-fast-install' instead
>> https://lists.gnu.org/archive/html/help-libidn/2024-11/msg00006.html
>> https://gitlab.com/libidn/libidn/-/jobs/8321237800
>> I haven't analyzed the code in libtool behind the warning, but looking
>> at this from the outside, if some feature is known to not be supported
>> on some platform, it doesn't make a lot of sense to warn about that fact
>> on every compilation.
> 
> The warning messages for darwin have been present since this commit [1],
> and for windows, it has been over two decades. I could remove the
> warning message entirely. I think existing users should already be aware
> of the warning, but I would like to avoid confusion with new users.
> 
>> So two ideas:
>> 1) Could we silence the warning generally?
>> or
>> 2) Could we silence the warning on some set of architectures which is
>> known to not support this?  And document that property.
>> or
>> 3) Have a mechanism for maintainers to disable this warning?
> 
> Users can disable all libtool warnings with '--warnings=none' or
> '--no-warnings', which I just realised the second is not documented in
> the manual. libtool does not have warning categories (except 'all' and
> 'none'), so silencing the warning for some architectures by default
> would mean just removing the existing warning messages for them.
> 
> I can update the documentation to reflect what the comments state and
> remove the warning messages, but anything else would likely involve a
> large rework to how libtool warnings operate.
> 
> [1] https://git.savannah.gnu.org/cgit/libtool.git/commit/?id=51f91963e600423f22d8c4ee01f2bf3a9e7a63bb
> 
> --
> Ileana Dumitrescu
> 
> GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354
> 
> <OpenPGP_0x6570EA01146F7354.asc>